.so head.mm
.H 2 "Tabeller"
.SETR tbl
.H 3 "Att anvnda tabeller"
.P
Ofta behver man ha tabeller i sitt dokument. 
Tabellen skriver man in i sin text mellan tv avgrnsare, \fB.TS\fP och
\&\fB.TE\fP.
Hr fljer ett exempel p en prislista:
.demo-ruta
\&.TS
tab(;);
l l l n n n n n n .
BC107B;TO18;S,NPN;0.3;45;0.1;300;200/450;1:90
BC108B;TO18;S,NPN;0.3;20;0.1;300;200/450;2:00
BC177B;TO18;S,PNP;0.3;45;0.1;130;200/450;2:20
BC237A;TO92;S,NPN;0.3;45;0.1;300;110/220;0:20
\&.TE
.demo-gives
.TS
tab(;);
l l l n n n n n n .
BC107B;TO18;S,NPN;0.3;45;0.1;300;200/450;1:90
BC108B;TO18;S,NPN;0.3;20;0.1;300;200/450;2:00
BC177B;TO18;S,PNP;0.3;45;0.1;130;200/450;2:20
BC237A;TO92;S,NPN;0.3;45;0.1;300;110/220;0:20
.TE
.demo-end
.P
P frsta raden efter kommandot \fB.TS\fP anger man olika attribut.
I exemplet str \f(CBtab(;)\fP, vilket betyder att flten i tabellen
avgrnsas med semikolon. Denna frsta rad avslutas alltid
med ett semikolon (oavsett \f(CBtab(;)\fP).
Nsta rad beskriver formatet p tabellen. Den visar att tabellen
innehller nio flt dr de tre frsta r vnsterjusterade
och de resterande r numeriska. Punkten avslutar formatraden.
Drefter kommer raderna som ska vara med i tabellen, dr flten
avgrnsas med semikolon.
Tabellen avslutas med \fB.TE\fP.
Man kan ven skriva \fB.T&\fP. Den fungerar som \fB.TE\fP + \fB.TS\fP
tillsammans. D gller ven de attribut som sattes efter \fB.TS\fP
nsta tabell ocks.
.P
Fr att \*[gr] ska frst en tabell mste man ange flaggan \f(CB-t\fP
till \*(gr.
.demo-ruta
groff -t -mmse ...
.demo-end
.P
Hr fljer en lista ver de attribut som man kan stta p frsta
raden:
.VL 1i
.LI center
Centrerar hela tabellen. Den r normalt vnsterjusterad.
Flten pverkas inte, endast tabellens placering p papperet.
Vill man hgercentrera mste man lgga tabellen mellan \&\fB.DS\ RB\fP
och \fB.DE\fP.
.LI expand
Tabellen blir lika bred som den gllande radlngden, dvs den strcker
sig frn vnster till hgermarginalen. Normalt blir tabellen endast
s bred som den behver vara.
.LI box
Hela tabellen innesluts i en rektangel.
.LI allbox
Alla flt innesluts i rektanglar.
.LI doublebox
Hela tabellen innesluts i en dubbel rektangel.
.LI tab(x)
Anvnd tecknet x som avgrnsare fr flten.
.LI linesize(n)
Linjetjocklek, normalt 10.
.LI delim(xy)
.\" $$$
Anvnd tecknen x och y som avgrnsare fr \fBeqn\fP. Se \fIEkvationer\fP.
Endast \fBdelim($$)\fP och \fBdelim(@@)\fP rekommenderas, d andra
tecken har speciell betydelse i antingen \fBtbl\fP eller \fBeqn\fP.
.LE
.P
Formatraden eller raderna (man kan ha flera) har fljande betydelse:
.VL 1i
.LI "\f(CBL\fP el \f(CBl\fP"
Fltet vnsterjusteras.
.LI "\f(CBR\fP el \f(CBr\fP"
Fltet hgerjusteras.
.LI "\f(CBC\fP el \f(CBc\fP"
Fltet centreras.
.LI "\f(CBN\fP el \f(CBn\fP"
Anger att fltet r numeriskt och justeras efter decimalpunkten, eller
hgerjusteras om punkt saknas.
.LI "\f(CBA\fP el \f(CBa\fP"
Anger alfabetisk underkolumn.
Alla flten  i kolumnen vnsterjusteras och den bredaste centreras.
.\" $$$
Se exempel.
.LI "\f(CBS\fP el \f(CBs\fP"
Fregende kolumn och denna kolumn sls samman till en kolumn.
.LI \f(CB^\fP
Anger att fregende flt och detta flt sls samman till ett flt.
.LE
.P
Nr alla format r specificerade skriver man en punkt.
Varje datarad anvnder motsvarande formatrad. Den sista formatraden
gller alla efterfljande datarader fram till \fB.TE\fP eller
\&\fB.T&\fP.
Efter \fB.T&\fP kan man brja om med en ny formatlista och fler datarader.
.\" $$$
Se kondensatorexemplet
.H 3 "Flaggor efter formattecken"
.P
Man kan ange extra flaggor till varje formattecken. De skrivs direkt
efter formattecknet.
.BVL 1i
.BLI "Horisontella linjer"
Om man erstter formattecknet med tecknet \f(CB_\fP s 
ritas en horisontell linje i stllet fr data i kolumnen.
Tecknet \f(CB=\fP ger en dubbel linje. Motsvarande datarad mste vara tom.
Dessa tecken kan ven anges i dataraderna.
.BLI "Vertikala linjer"
Om man anger \f(CB|\fP mellan formattecknen fr man en vertikalt linje
mellan kolumnerna. Skriver man \f(CB|\fP fre frsta formattecknet
eller efter det sista formattecknet fr man en
linje till vnster resp till hger om hela raden.
.BLI "Mellanrum mellan kolumner"
Man kan ange ett tal efter formattecknet. Talet bestmmer avstndet i tecken
mellan denna och nsta kolumn.
.BLI "Sammanhngande vertikala kolumner"
Tecknet \f(CBt\fP eller \f(CBT\fP efter formattecknet anger att
den vertikala kolumnens innehll brjar lngst upp i stllet fr att 
centreras vertikalt. Se exempel med polyesterkondensatorer.
.GETR kondensator_ex
.BLI "Stilndring"
Ett formattecken kan ven fljas av ett stilnamn som fregs av \f(CBf\fP
eller \f(CBF\fP. Motsvarande kolumn stts med den angivna stilen.
\f(CBB\fP, \f(CBb\fP, \f(CBI\fP och \f(CBi\fP r frkortningar av 
\f(CBfB\fP, \f(CBfb\fP, \f(CBfI\fP och \f(CBfi\fP, dr \f(CBi\fP betyder kursiv och
\f(CBb\fP betyder fetstil.
.BLI "Teckenstorlek"
Om formattecknet fljs av \f(CBp\fPn eller \f(CBP\fPn dr n bestmmer
storleken p tecknen till talet (enhet: punkter). + och \- fre talet
kan anvndas fr relativa frndringar. Om bde 
\f(CBp\fP och \fBMellanrum mellan kolumner\fP anvnds 
mste ett eller flera mellanslag separera dem.
.BLI "Vertikal storlek"
Om formattecknet fljs av \f(CBv\fPn eller \f(CBV\fPn dr n bestmmer
den vertikala storleken p kolumnen till talet (enhet: punkter).
I vrigt samma regler som fr \fBTeckenstorlek\fP.
.BLI Kolumnbredd
Om formattecknet fljs av \f(CBw(\fPn\f(CB)\fP eller \f(CBW(\fPn\f(CB)\fP
dr n bestmmer
minimibredden p kolumnen till talet (enhet: tecken el 'en').
Talet skrivs med parenteser kring sig. Man kan ange
enhet fr att kunna specificera bredden i t ex tum, d man skriver ett i
efter talet.
.BLI "Lika bredd p flera kolumner"
Om formattecknet fljs av \f(CBe\fP eller \f(CBE\fP stts bredden
till samma bredd som andra kolumner med ett \f(CBe\fP.
.BLI "Ojmna kolumner"
Om formattecknet fljs av \f(CBu\fP eller \f(CBU\fP
flyttas fltet en halv rad uppt.
Texten hamnar mellan tv rader. Fungerar inte med \f(CBallbox\fP.
.BLI "Kolumn utan bredd"
Om formattecknet fljs av \f(CBz\fP eller \f(CBZ\fP
anvnds inte denna kolumn fr berkning av kolumnbredd.
.LE
.P
Ett exempel med en numerisk kolumn, kursiv stil, 12 punkters
teckenstorlek, minimum kolumnbredd 2.5 tum och separerad 6 tecken
frn nsta kolumn skrives \%\f(CBnp12w(2.5i)fI\ 6\fP.
.H 3 "Specifikation av data"
.P
En datarad innehller lika mnga flt som motsvarande formatrad.
Flten avgrnsas av det tecken som har angetts med \f(CBtab(\fPx\f(CB)\fP.
Om ingen avgrnsare har angivits anvnds tecknet TAB, vilket har
asciivrde 9.
Rader som brjar med \f(CB.\fP tolkas som troffkommandon.
En rad med \fB.sp\fP ger en tomrad i tabellen, och tolkas inte som en datarad.
.BVL 1i
.BLI "Horisontella linjer"
En rad med endast ett \f(CB_\fP eller ett \f(CB=\fP ger
en enkel eller en dubbel linje rakt ver hela tabellens bredd.
.BLI "Kolumnvis horisontella linjer"
Ett flt med endast ett \f(CB_\fP eller ett \f(CB=\fP
ger en enkel eller en dubbel linje
genom hela kolumnen. Linjen expanderas t sidorna och ansluter
till andra eventuella horisontella och vertikala linjer.
Vill man ha tecknet \f(CB_\fP eller \f(CB=\fP mste dessa
fregs av \f(CB\e&\fP.
.BLI "Korta horisontella linjer"
Ett flt som bestr av sekvensen \f(CB\e_\fP ger en kort linje som inte
expanderas utanfr kolumnen.
.BLI "Repeterade tecken"
Ett flt med \f(CB\eR\fPx, dr x r vilket tecken som helst, ger en 
repetering av x lika bred som kolumnen.
.BLI "Vertikal fortsttning av flt"
Ett flt med \f(CB\e^\fP innebr att detta flt och fltet ovanfr 
sls samman till ett flt. Det motsvarar \f(CB^\fP i formatraden.
.BLI Textblock
Ett block av text skapas med \f(CBT{\fP och \f(CBT}\fP.
Det r ndvndigt nr man vill ha ett flt som strcker
sig ver flera rader.
\f(CBT{\fP mste st sist p en rad, utan ngra tecken efter sig.
\f(CBT}\fP mste st frst p en rad, men kan ha text efter sig.
.LE
